Bug 106382 - long comments associated with a change are incorrectly shown in manage changes dialog
Summary: long comments associated with a change are incorrectly shown in manage change...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords: bibisected, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2017-03-07 11:30 UTC by Pranav Kant
Modified: 2017-03-21 13:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (23.15 KB, image/png)
2017-03-08 11:01 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pranav Kant 2017-03-07 11:30:25 UTC
- Create a change tracking sentence
- Click on the change, Edit -> Track Changes -> Comment 
- Type a long comment (for me, greater than 25 characters is enough to reproduce this bug)
- Open the manage changes dialog (Edit -> Track Changes -> Manage), 

The comment field is truncated and then shown. When the width of the manage changes dialog is increased, the full comment is 'appended' to the 'truncated' comment instead of replacing it.

Expected behavior:
Full comment text is shown all the time.
Comment 1 Xisco Faulí 2017-03-08 11:01:36 UTC
Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: d3676ceeec55a41337ce5e6bc596f4f100d0638e
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.5.0.0.alpha0+
Build ID: 2851ce5afd0f37764cbbc2c2a9a63c7adc844311
Locale: ca_ES
Comment 2 Xisco Faulí 2017-03-08 11:01:59 UTC
Created attachment 131749 [details]
screenshot
Comment 3 Xisco Faulí 2017-03-08 12:25:29 UTC
Regression introduced in range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=a7052b906dfd1d749f7da9ea64a3479d7c1cc2c9..2d59c0c940ac61240992502256c966b2cb4f9daa

Kendy, do you think any of your commits in the range above introduced this bug ?
Comment 4 Jan Holesovsky 2017-03-13 10:23:40 UTC
Pranav: If you can have a look at this one when you are in the change tracking code that would be much appreciated :-)

Xisco: Thanks so much for the bi-bisect!
Comment 5 Commit Notification 2017-03-21 11:13:32 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=551e86ff278d4608a54d311f387ca57ef4732000

tdf#106382 - Fix incorrectly shown change tracking comments in dialog

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-21 13:31:11 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=181cbe104b9f8f0d0812db082d68f4d5e1bc281b&h=libreoffice-5-3

tdf#106382 - Fix incorrectly shown change tracking comments in dialog

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.